<template>
  <div class="wrapper">
    <content-header></content-header>
    <div class="main-panel" :class="{'show-side-bar': isShowSideBar}">
      <dashboard-content>
      </dashboard-content>
    </div>
    <content-footer></content-footer>
    <modal v-if="displayModal" @close="modalOff">
      <component v-bind:is="currentModal" :modal-data="modalData"></component>
    </modal>
  </div>
</template>
<style lang="scss">

</style>
<script>
import ContentHeader from './Header.vue';
import ContentFooter from './Footer.vue';
import DashboardContent from './Content.vue';
import ModalMixin from '../../../common/components/ModalMixin';
import UnauthorizedModal from '../../components/Modal/UnauthorizedModal.vue';

export default {
  components: {
    ContentHeader,
    DashboardContent,
    ContentFooter
  },
  mixins: [ModalMixin],
  data(){
    return {
      isShowSideBar: false,
    }
  },
  created () {
    if (!this.$isAuthenticated) {
      this.$router.push('/login');
    }

    this.$on('toggleSideBar', ()=>{
      this.isShowSideBar = !this.isShowSideBar;
    });

    this.$on('Unauthorized', () => {
      this.$broadcast('open-modal', UnauthorizedModal);
    });
  }
}
</script>
<style lang="scss" scoped>
  .main-panel {
    min-height: calc(100vh - 70px - 95px);
    transition: all 0.3s ease-in-out;
    display: grid;
  }

  .main-panel.show-side-bar {
    transform: translateX(-240px);
  }
</style>
